import type { DatePickerProps } from 'react-datepicker';
import { Locale } from 'date-fns';
import type { BaseProps, ButtonVariant, ComponentSize, FamilyIconProps } from '../interface';
type Props = BaseProps & FamilyIconProps & Omit<DatePickerProps, 'showMonthDropdown' | 'showMonthYearDropdown' | 'showYearDropdown' | 'useShortMonthInDropdown' | 'yearDropdownItemNumber' | 'scrollableYearDropdown' | 'dropdownMode' | 'yearItemNumber' | 'portalId' | 'withPortal' | 'onPortalKeyDown' | 'portalHost' | 'locale'> & {
    inputLabel?: string;
    inputHint?: string;
    inputAriaLabel?: string;
    inputActionAriaLabel?: string;
    iconInput?: string;
    inputId?: string;
    timeId?: string;
    iconHeaderPrev?: string;
    iconHeaderNext?: string;
    iconHeaderSize?: ComponentSize;
    headerPrevMonthAriaLabel?: string;
    headerNextMonthAriaLabel?: string;
    headerButtonVariant?: ButtonVariant;
    headerButtonTheme?: string;
    minYearSelect?: number;
    maxYearSelect?: number;
    invalid?: boolean;
    valid?: boolean;
    placeholder?: string;
    showHeaderSelectors?: boolean;
    locale?: Locale;
};
export default function DDatePicker({ inputLabel, inputHint, inputAriaLabel, inputActionAriaLabel, inputId, timeId, timeInputLabel, iconInput, iconHeaderPrev, iconHeaderNext, iconMaterialStyle, iconFamilyClass, iconFamilyPrefix, minYearSelect, maxYearSelect, iconHeaderSize, headerPrevMonthAriaLabel, headerNextMonthAriaLabel, headerButtonVariant, headerButtonTheme, invalid, valid, renderCustomHeader: renderCustomHeaderProp, className, dateFormatCalendar, style, dataAttributes, placeholder, showHeaderSelectors, ...props }: Props): import("react/jsx-runtime").JSX.Element;
export {};
